Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.controller
Interface IProbeController

All Known Subinterfaces:
  IMonitoringController

All Known Implementing Classes:
  MonitoringController, ProbeController

    public interface IProbeController

Since:
  1.6
Author:
  Jan Waller

Method Summary
`boolean` | `activateProbe(String pattern)` Activates a probe.
`boolean` | `deactivateProbe(String pattern)` Deactivates a probe.
`List<String>` | `getProbePatternList()` Returns the current list of patterns with a prefix indicating whether the pattern is active or not.
`boolean` | `isProbeActivated(String signature)` Tests if a probe is active.
`void` | `setProbePatternList(List<String> patternList)` Overwrites the current list of patterns with a new pattern list.

Method Detail

### activateProbe

    boolean activateProbe(String pattern)

  Activates a probe.

  Parameters:
    `pattern` - pattern for the probe
  Returns:
    true on success
  Since:
    1.6

### deactivateProbe

    boolean deactivateProbe(String pattern)

  Deactivates a probe.

  Parameters:
    `pattern` - pattern for the probe
  Returns:
    true on success
  Since:
    1.6

### isProbeActivated

    boolean isProbeActivated(String signature)

  Tests if a probe is active. This test is ignorant of the fact whether monitoring itself is enabled/disabled/terminated.

  Parameters:
    `signature` - signature of the probe
  Returns:
    true if the probe with this signature is active
  Since:
    1.6

### setProbePatternList

    void setProbePatternList(List<String> patternList)

  Overwrites the current list of patterns with a new pattern list.

  Parameters:
    `patternList` - list of strings with patterns where each string starts either with a + or -. The list can be empty (in which case the internal pattern list and the internal cache are cleared) - but not null.
  Since:
    1.6

### getProbePatternList

    List<String> getProbePatternList()

  Returns the current list of patterns with a prefix indicating whether the pattern is active or not.

  Returns:
    list of strings with patterns where each string starts either with a + or -
  Since:
    1.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net